Bug 52662 - Update port: cad/xcircuit to 3.1.15
Summary: Update port: cad/xcircuit to 3.1.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-25 05:10 UTC by tkato
Modified: 2003-06-05 19:33 UTC (History)
0 users

See Also:


Attachments
file.diff (9.35 KB, patch)
2003-05-25 05:10 UTC, tkato
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato 2003-05-25 05:10:15 UTC
- Update to version 3.1.15

New file
files/patch-Makefile.in

Remove file:
files/patch-aa
files/patch-ab
Comment 1 tkato 2003-05-26 15:57:49 UTC
Here is an up-to date patch.

diff -urN /usr/ports/cad/xcircuit/Makefile cad/xcircuit/Makefile
--- /usr/ports/cad/xcircuit/Makefile	Sat May 10 13:19:59 2003
+++ cad/xcircuit/Makefile	Mon May 26 23:13:10 2003
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	xcircuit
-PORTVERSION=	2.3.3
+PORTVERSION=	3.1.15
 PORTEPOCH=	1
 CATEGORIES=	cad
 MASTER_SITES=	http://xcircuit.ece.jhu.edu/archive/
@@ -15,22 +15,54 @@
 COMMENT=	An X11 drawing program [especially for circuit schematics]
 
 RUN_DEPENDS=	gs:${PORTSDIR}/print/ghostscript-gnu
-BUILD_DEPENDS=	gm4:${PORTSDIR}/devel/m4
 
+USE_BZIP2=	yes
+USE_X_PREFIX=	yes
 USE_XPM=	yes
-USE_IMAKE=	yes
 USE_REINPLACE=	yes
-XMKMF=		xmkmf
-
-MAN1=		xcircuit.1
+USE_GMAKE=	yes
+GNU_CONFIGURE=	yes
+CONFIGURE_ENV=	CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}"
+
+WISH=		${LOCALBASE}/bin/wish8.4
+
+.if defined(WITH_TCLTK)
+PKGNAMESUFFIX=	-tcltk
+LIB_DEPENDS+=	tk84:${PORTSDIR}/x11-toolkits/tk84
+CONFIGURE_ARGS=	--with-tcl=${LOCALBASE}/lib/tcl8.4 \
+		--with-tk=${LOCALBASE}/lib/tk8.4
+ALL_TARGET=	tcl
+INSTALL_TARGET=	install-tcl
+PLIST_SUB+=	PYTHON="@comment " NOPYTHON="" TCLTK="" NOTCLTK="@comment " 
+CFLAGS+=	-I${LOCALBASE}/include/tcl8.4 -I${LOCALBASE}/include/tk8.4 \
+		-I${X11BASE}/include
+.else
+MAN1+=		xcircuit.1
+.if defined(WITH_PYTHON)
+PKGNAMESUFFIX=	-python
+USE_PYTHON=	yes
+CONFIGURE_ARGS+=	--with-python
+CPPFLAGS+=	${PTHREAD_CFLAGS}
+LDFLAGS+=	${PTHREAD_LIBS}
+PLIST_SUB+=	PYTHON="" NOPYTHON="@comment " TCLTK="@comment " NOTCLTK=""
+.else
+PLIST_SUB+=	PYTHON="@comment " NOPYTHON="" TCLTK="@comment " NOTCLTK=""
+.endif
+.endif
 
 post-patch:
-	@${FIND} ${WRKSRC} -name '*.[ch]' | ${XARGS} ${REINPLACE_CMD} -e \
-		's|<malloc.h>|<stdlib.h>|g'
+	@${REINPLACE_CMD} -e 's|TCL_LIB_NAME=.*$$|TCL_LIB_NAME="tcl84"|g ; \
+		 s|TK_LIB_NAME=.*$$|TK_LIB_NAME="tk84"|g' ${WRKSRC}/configure
+.for file in lib/tcl/xcircuit.sh.m4 lib/tcl/tkcon.tcl
+	@${REINPLACE_CMD} -e 's|exec wish|exec ${WISH}|g' ${WRKSRC}/${file}
+.endfor
 
 post-install:
-	@${MKDIR} ${PREFIX}/share/examples/xcircuit
+.if !defined(NOPORTDOCS)
+	@${MKDIR} ${EXAMPLESDIR}
 	${TAR} -C ${WRKSRC}/examples --exclude CVS -cf - . | \
-		${TAR} -C ${PREFIX}/share/examples/xcircuit --unlink -xf -
+		${TAR} -C ${EXAMPLESDIR} --unlink -xf -
+	@${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${EXAMPLESDIR}
+.endif
 
 .include <bsd.port.mk>
diff -urN /usr/ports/cad/xcircuit/distinfo cad/xcircuit/distinfo
--- /usr/ports/cad/xcircuit/distinfo	Sat May 10 13:19:59 2003
+++ cad/xcircuit/distinfo	Mon May 26 21:07:20 2003
@@ -1 +1 @@
-MD5 (xcircuit-2.3.3.tar.gz) = 766a2d86a66c91acc67b4a361a2fe0e3
+MD5 (xcircuit-3.1.15.tar.bz2) = d63a94dc3f8d8437a605fa35ea78abf0
diff -urN /usr/ports/cad/xcircuit/files/patch-Makefile.in cad/xcircuit/files/patch-Makefile.in
--- /usr/ports/cad/xcircuit/files/patch-Makefile.in	Thu Jan  1 09:00:00 1970
+++ cad/xcircuit/files/patch-Makefile.in	Mon May 26 21:57:51 2003
@@ -0,0 +1,34 @@
+--- Makefile.in.orig	Tue May 20 00:54:39 2003
++++ Makefile.in	Mon May 26 21:57:18 2003
+@@ -108,7 +108,7 @@
+ tmpdir = /tmp
+ 
+ # Directory for app-defaults file
+-appdefaultsdir = $(datadir)/$(PACKAGE)-$(VERSION)/app-defaults
++appdefaultsdir = $(libdir)/X11/app-defaults
+ 
+ PATHNAMES = -DPROG_VERSION=$(VERSION) \
+ 	-DCAD_DIR=\"$(prefix)\" \
+@@ -143,7 +143,7 @@
+ LDDL_FLAGS = @LDDL_FLAGS@
+ 
+ # Library directory and files
+-librarydir = $(datadir)/$(PACKAGE)-$(VERSION)
++librarydir = $(libdir)/X11/$(PACKAGE)
+ USER_RC_FILE = .xcircuitrc
+ PROLOGUE_FILE = xcircps2.pro
+ BUILTINS_DEP1 = generic.lps
+@@ -572,11 +572,11 @@
+ 
+ lib/tcl/xcircuit${SHDLIB_EXT}: xcwrap.o ${xcircuit_OBJECTS}
+ 	$(RM) lib/xcircuit${SHDLIB_EXT}
+-	$(CC) ${CFLAGS} -o $@ ${LDDL_FLAGS} xcwrap.o ${xcircuit_OBJECTS} \
++	$(LD) ${CFLAGS} -o $@ ${LDDL_FLAGS} xcwrap.o ${xcircuit_OBJECTS} \
+ 		${X_LIBS} ${X_EXTRA_LIBS} ${EXTRA_LIBS} -lc ${LIBS}
+ 
+ tcl:	lib/tcl/xcircuit${SHDLIB_EXT}
+-	make lib/tcl/xcircuit${SHDLIB_EXT}
++	$(MAKE) lib/tcl/xcircuit${SHDLIB_EXT}
+ 
+ help.c: menudep.h
+ menucalls.c: menudep.h
diff -urN /usr/ports/cad/xcircuit/files/patch-aa cad/xcircuit/files/patch-aa
--- /usr/ports/cad/xcircuit/files/patch-aa	Sun Oct  7 00:09:38 2001
+++ cad/xcircuit/files/patch-aa	Thu Jan  1 09:00:00 1970
@@ -1,86 +0,0 @@
-*** Imakefile.orig	Fri Sep  7 03:31:47 2001
---- Imakefile	Fri Sep  7 03:44:46 2001
-***************
-*** 28,50 ****
-  #CCOPTIONS = -O2
-  #
-  # for debugging purposes uncomment the following line:
-! CDEBUGFLAGS = -g
-! STD_INCLUDES = -I. -I/usr/X11R6/include/X11
-  
-  # The "m4" macro processor is used to generate the man page such that
-  # the man page reflects the configured options.
-! M4 = m4
-  
-  #------------------------------------------------------------------------
-  # Installation directories:
-  # Change the following as desired to suit your environment:
-  #------------------------------------------------------------------------
-  #
-! PREFIX = /usr/local
-  # XCIRCUIT_LIB_DIR = $(PREFIX)/src/xcircuit-2.3.1/psfiles
-! XCIRCUIT_LIB_DIR = $(PREFIX)/lib/xcircuit-2.3
-! XCIRCUIT_BIN_DIR = $(PREFIX)/bin
-! XCIRCUIT_MAN_DIR = $(PREFIX)/man/man1
-  XAPPLRESDIR = ${XCIRCUIT_LIB_DIR}/app-defaults
-  
-  #------------------------------------------------------------------------
---- 28,51 ----
-  #CCOPTIONS = -O2
-  #
-  # for debugging purposes uncomment the following line:
-! # CDEBUGFLAGS = -g
-! STD_INCLUDES = -I. -I$(INCDIR)/X11
-! EXTRA_DEFINES = -DHAVE_DIRENT_H -DHAVE_PUTENV
-  
-  # The "m4" macro processor is used to generate the man page such that
-  # the man page reflects the configured options.
-! M4 = gm4
-  
-  #------------------------------------------------------------------------
-  # Installation directories:
-  # Change the following as desired to suit your environment:
-  #------------------------------------------------------------------------
-  #
-! # PREFIX = /usr/local
-  # XCIRCUIT_LIB_DIR = $(PREFIX)/src/xcircuit-2.3.1/psfiles
-! XCIRCUIT_LIB_DIR = $(LIBDIR)/xcircuit
-! XCIRCUIT_BIN_DIR = $(BINDIR)
-! XCIRCUIT_MAN_DIR = $(MANDIR)
-  XAPPLRESDIR = ${XCIRCUIT_LIB_DIR}/app-defaults
-  
-  #------------------------------------------------------------------------
-***************
-*** 63,69 ****
-  # Support for background rendering through ghostscript.  Change this
-  # to the path where gs can be found.
-  # GS_EXEC= /usr/local/src/gs5.50/obj/gs
-! GS_EXEC= /usr/bin/gs
-  
-  #------------------------------------------------------------------------
-  # Window manager bug workaround---If you don't like xcircuit grabbing kbd
---- 64,70 ----
-  # Support for background rendering through ghostscript.  Change this
-  # to the path where gs can be found.
-  # GS_EXEC= /usr/local/src/gs5.50/obj/gs
-! GS_EXEC=${LOCALBASE}/bin/gs
-  
-  #------------------------------------------------------------------------
-  # Window manager bug workaround---If you don't like xcircuit grabbing kbd
-***************
-*** 91,97 ****
-  # Support for embedded Python interpreter
-  # (requires libpython${PYTHON_VERSION}.a)
-  #
-! #define HAVE_PYTHON
-  
-  PYTHON_VERSION=2.1
-  PYTHON_LIB_DIR=/usr/local/lib
---- 92,98 ----
-  # Support for embedded Python interpreter
-  # (requires libpython${PYTHON_VERSION}.a)
-  #
-! /* #define HAVE_PYTHON */
-  
-  PYTHON_VERSION=2.1
-  PYTHON_LIB_DIR=/usr/local/lib
diff -urN /usr/ports/cad/xcircuit/files/patch-ab cad/xcircuit/files/patch-ab
--- /usr/ports/cad/xcircuit/files/patch-ab	Tue Jul  3 21:33:16 2001
+++ cad/xcircuit/files/patch-ab	Thu Jan  1 09:00:00 1970
@@ -1,27 +0,0 @@
-*** xcircuit.c.orig	Tue Jun 26 22:34:15 2001
---- xcircuit.c	Sat Jun 30 12:53:00 2001
-***************
-*** 21,26 ****
---- 21,29 ----
-  #include <limits.h>
-  #include <locale.h>
-  #include <unistd.h>   /* for unlink() */
-+ #ifdef __FreeBSD__
-+ #include <machine/floatingpoint.h>
-+ #endif
-  
-  #include <X11/Intrinsic.h>
-  #include <X11/StringDefs.h>
-***************
-*** 1685,1690 ****
---- 1688,1697 ----
-     char		*argv0;		/* find root of argv[0] */
-     short initargc = argc;	/* because XtInitialize() absorbs the     */
-     				/* -schem flag and renumbers argc! (bug?) */
-+ 
-+ #ifdef __FreeBSD__
-+    fpsetmask(0);
-+ #endif
-  
-     /*-----------------------------------------------------------*/
-     /* Find the root of the command called from the command line */
diff -urN /usr/ports/cad/xcircuit/pkg-plist cad/xcircuit/pkg-plist
--- /usr/ports/cad/xcircuit/pkg-plist	Sun Oct  7 00:09:38 2001
+++ cad/xcircuit/pkg-plist	Mon May 26 23:00:03 2003
@@ -1,9 +1,10 @@
 bin/xcircuit
 lib/X11/app-defaults/XCircuit
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/.wishrc
 lib/X11/xcircuit/analog.lps
 lib/X11/xcircuit/analoglib2.lps
-lib/X11/xcircuit/app-defaults
 lib/X11/xcircuit/avlsi.lps
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/console.tcl
 lib/X11/xcircuit/digital.lps
 lib/X11/xcircuit/fonts/courier.lps
 lib/X11/xcircuit/fonts/courier.xfe
@@ -34,28 +35,76 @@
 lib/X11/xcircuit/ic_templates.lps
 lib/X11/xcircuit/lgf.lps
 lib/X11/xcircuit/musiclib.lps
+%%PYTHON%%%%NOTCLTK%%lib/X11/xcircuit/python/gettext.py
+%%PYTHON%%%%NOTCLTK%%lib/X11/xcircuit/python/pagebbox.py
+%%PYTHON%%%%NOTCLTK%%lib/X11/xcircuit/python/spice.py
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/a.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/b.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/bd.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/ccw.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/co.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/cp.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/cw.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/d2.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/e.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/fi.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/fx.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/fy.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/i.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/li.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/mk.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/pl.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/pm.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/po2.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/pu2.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/pz.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/q.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/s.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/solid.xbm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/stip12.xbm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/stip25.xbm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/stip38.xbm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/stip50.xbm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/stip62.xbm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/stip75.xbm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/stip88.xbm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/t.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/uj.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/xcircuit.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/yp.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/z4.xpm
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/pixmaps/z5.xpm
+lib/X11/xcircuit/quadparts.lps
 lib/X11/xcircuit/signal.lps
-lib/X11/xcircuit/startup.script
-lib/X11/xcircuit/xcircps2.pro
-share/examples/xcircuit/.xcircuitrc
-share/examples/xcircuit/FlareLED.ps
-share/examples/xcircuit/FlareLEDtest.ps
-share/examples/xcircuit/USAflag.ps
-share/examples/xcircuit/analog1.ps
-share/examples/xcircuit/analog2.ps
-share/examples/xcircuit/analoglib1.lps
-share/examples/xcircuit/border.ps
-share/examples/xcircuit/diffamp_test.ps
-share/examples/xcircuit/envelope.ps
-share/examples/xcircuit/fourttest.ps
-share/examples/xcircuit/gettext.py
-share/examples/xcircuit/loadlgf.py
-share/examples/xcircuit/logic8.ps
-share/examples/xcircuit/prelude.ps
-share/examples/xcircuit/systemd1.lgf
-share/examples/xcircuit/test.py
-share/examples/xcircuit/threestage.ps
-share/examples/xcircuit/vcoblock.ps
-@dirrm share/examples/xcircuit
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/tkcon.tcl
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/wrapper.tcl
+%%PYTHON%%%%NOTCLTK%%lib/X11/xcircuit/xcircps2.pro
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/xcircuit.so
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/xcircuit.tcl
+%%NOTCLTK%%%%NOPYTHON%%lib/X11/xcircuit/startup.script
+%%NOPYTHON%%lib/X11/xcircuit/xcircps2.pro
+%%PYTHON%%%%NOTCLTK%%lib/X11/xcircuit/xcstartup.py
+%%NOPYTHON%%%%TCLTK%%lib/X11/xcircuit/xcstartup.tcl
+%%PORTDOCS%%share/examples/xcircuit/.xcircuitrc
+%%PORTDOCS%%share/examples/xcircuit/FlareLED.ps
+%%PORTDOCS%%share/examples/xcircuit/USAflag.ps
+%%PORTDOCS%%share/examples/xcircuit/analog1.ps
+%%PORTDOCS%%share/examples/xcircuit/analog2.ps
+%%PORTDOCS%%share/examples/xcircuit/analoglib1.lps
+%%PORTDOCS%%share/examples/xcircuit/border.ps
+%%PORTDOCS%%share/examples/xcircuit/diffamp_test.ps
+%%PORTDOCS%%share/examples/xcircuit/diffamp_test2.ps
+%%PORTDOCS%%share/examples/xcircuit/envelope.ps
+%%PORTDOCS%%share/examples/xcircuit/fourttest.ps
+%%PORTDOCS%%share/examples/xcircuit/logic8.ps
+%%PORTDOCS%%share/examples/xcircuit/panzoom.py
+%%PORTDOCS%%share/examples/xcircuit/prelude.ps
+%%PORTDOCS%%share/examples/xcircuit/systemd1.lgf
+%%PORTDOCS%%share/examples/xcircuit/test.py
+%%PORTDOCS%%share/examples/xcircuit/threestage.ps
+%%PORTDOCS%%share/examples/xcircuit/vcoblock.ps
+%%PORTDOCS%%@dirrm share/examples/xcircuit
+%%PYTHON%%%%NOTCLTK%%@dirrm lib/X11/xcircuit/python
+%%NOPYTHON%%%%TCLTK%%@dirrm lib/X11/xcircuit/pixmaps
 @dirrm lib/X11/xcircuit/fonts
 @dirrm lib/X11/xcircuit
Comment 2 Christian Weisgerber freebsd_committer 2003-06-05 19:33:25 UTC
State Changed
From-To: open->closed

Committed, thanks.